Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management
Class EncryptionHelper

    java.lang.Object
      |
      +--weblogic.management.EncryptionHelper

public final class EncryptionHelper
extends java.lang.Object

This class contains convenience methods for accessing encrypted MBean attributes.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`EncryptionHelper()`

Method Summary
`static byte[]` | `clear(byte[] bytes)` Clears the byte array by replacing each byte with a zero.
`static byte[]` | `encrypt(byte[] bytes)` Encrypts a byte array.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EncryptionHelper

    public EncryptionHelper()

Method Detail

### encrypt

    public static final byte[] encrypt(byte[] bytes)
                                throws weblogic.security.internal.encryption.EncryptionServiceException

  Encrypts a byte array.

  A JMX client that invokes setter methods for encrypted attributes in WebLogic Server MBeans does not need to invoke this `encrypt(byte[] bytes)` method: the MBean's setter method is responsible for converting its parameter data to a byte array and encrypting the data.

  Parameters:
    `bytes` - A byte array.
  Returns:
    Encrypted byte array.
  Throws:
    weblogic.security.internal.encryption.EncryptionServiceException -

### clear

    public static byte[] clear(byte[] bytes)

  Clears the byte array by replacing each byte with a zero. .

  Parameters:
    `bytes` - A byte array.
  Returns:
    A zero-filled byte array.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD